Skip to main content
POST
Match invoices

Authorizations

Authorization
string
header
required

API key prefixed with finta_

Path Parameters

id
string
required

Transaction ID with txn_ prefix.

Pattern: ^txn_

Body

application/json
invoice_ids
string[]
required
Required array length: 2 - 100 elements
Pattern: ^inv_

Response

Every invoice on the payment, in stable order, with the same fields as GET /invoices, including stripe_url when available. This list is not paginated.

object
enum<string>
required
Available options:
list
url
string
required
Example:

"/api/v1/transactions/txn_a1b2c3d4e5f6g7/match_invoices"

has_more
enum<boolean>
required
Available options:
false
next_cursor
string | null
required
data
object[]
required